/**************************************************************************
 * Author: The Kopio offline project.                                     *
 * Contributors are mentioned in the code where appropriate.              *
 **************************************************************************/

///////////////////////////////////////////////////////////////////////////
// KopioMCLoader                                                         //
// KopioROOT file                                                        //
// --- Author: Alexander Artamonov (IHEP, Russia) 2004/06/10             //
///////////////////////////////////////////////////////////////////////////

#ifndef KopioMCLoader_h
#define KopioMCLoader_h

// --- Srandard library header files ---

// --- ROOT system header files ---

#ifndef ROOT_TTree
#include "TTree.h"
#endif

// --- KopioROOT header files ---

#ifndef KopioMCntuple1_h
#include "KopioMCntuple1.h"
#endif

#ifndef KopioMCntuple5_h
#include "KopioMCntuple5.h"
#endif

class KopioMCLoader : public KopioMCntuple1, public KopioMCntuple5
{
 public:
  KopioMCLoader(TTree *tree1 = 0, TTree *tree5 = 0);    // The constructor
  KopioMCLoader(const KopioMCLoader &loader);           // Copy constructor
  virtual ~KopioMCLoader();                             // The destructor

  ClassDef(KopioMCLoader,1)
};
#endif
///////////////////////////////////////////////////////////////////////////
